# 37. Poizvedba: pridobi »SatelliteImages« v določenem intervalu

Pridobi "SatelliteImages" v določenem časovnem okviru (`pred` in `po` datumi).

Filtri `pred` in `po` pripada [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html).&#x20;

Možno je uporabiti samo enega od filtrov.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
poizvedba GetFieldSatelliteImagesWithDateFilter {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    userUuid
    ime
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      ime
      datumUstvarjanja
      površina(enota: HEKTARJI)
      satelliteImages(after: "2019-06-10" before:  "2019-07-10"){
         satelliteImage{
          acquisitionDate
          provider
         }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/37.-poizvedba-pridobi-satelliteimages-v-dolocenem-intervalu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
